ru.bitel.bgbilling.modules.phone.server.bean

## Class PhoneContractStatusManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.phone.server.bean.PhoneContractStatusManager

-     public class PhoneContractStatusManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected int` | `mid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneContractStatusManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeContractStatus(int cid, int status, int userId)`
    `int` | `getContractStatus(int cid)`
    `java.util.List<PhoneContractStatusLog>` | `getHistory(int cid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### PhoneContractStatusManager

          public PhoneContractStatusManager(java.sql.Connection con,
                                            int mid)

  - ### Method Detail

    - #### getContractStatus

          public int getContractStatus(int cid)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### changeContractStatus

          public void changeContractStatus(int cid,
                                           int status,
                                           int userId)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getHistory

          public java.util.List<PhoneContractStatusLog> getHistory(int cid)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`